[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# TObject.GetInterfaceEntry

Return the interface table entry by GUID

## Declaration

Source position: objpash.inc line 247

`public class function TObject.GetInterfaceEntry(`
`const iid: TGuid`
`):pinterfaceentry;`

## Description

GetInterfaceEntry returns the internal interface table entry for the interface identified by iid (the GUID used in the declaration of the interface). If the interface is not implemented by the class, the function returns Nil.

## See also

TObject.GetInterfaceByStr |  | Return an interface based on its GUID
TObject.GetInterfaceEntryByStr |  | Return the interface table entry by string